package com.qianhe.service;

import java.util.List;
import com.qianhe.domain.SjFybpZb;

/**
 * 三基-费用报批主Service接口
 * 
 * @author qianhe
 * @date 2024-07-11
 */
public interface ISjFybpZbService 
{
    /**
     * 查询三基-费用报批主
     * 
     * @param id 三基-费用报批主主键
     * @return 三基-费用报批主
     */
    public SjFybpZb selectSjFybpZbById(Long id);

    /**
     * 查询三基-费用报批主列表
     * 
     * @param sjFybpZb 三基-费用报批主
     * @return 三基-费用报批主集合
     */
    public List<SjFybpZb> selectSjFybpZbList(SjFybpZb sjFybpZb);

    /**
     * 新增三基-费用报批主
     * 
     * @param sjFybpZb 三基-费用报批主
     * @return 结果
     */
    public int insertSjFybpZb(SjFybpZb sjFybpZb);

    /**
     * 修改三基-费用报批主
     * 
     * @param sjFybpZb 三基-费用报批主
     * @return 结果
     */
    public int updateSjFybpZb(SjFybpZb sjFybpZb);

    /**
     * 批量删除三基-费用报批主
     * 
     * @param ids 需要删除的三基-费用报批主主键集合
     * @return 结果
     */
    public int deleteSjFybpZbByIds(Long[] ids);

    /**
     * 删除三基-费用报批主信息
     * 
     * @param id 三基-费用报批主主键
     * @return 结果
     */
    public int deleteSjFybpZbById(Long id);

    int tj(SjFybpZb sjFybpZb);

}
